a picture of a laptop on a desk

IT only officially supports the most current and immediately following release of modern browsers, including Internet Explorer, Firefox, Google Chrome, Safari, and Opera. However, some web applications will work better with older versions of Internet Explorer. Because of this, staff and faculty computers on campus still have Internet Explorer 8.

CMS Student/HR and CMS Finance

Feel free to use CMS Student/HR and CMS Finance with whatever browser you are comfortable with. Most features students, faculty, and staff will use in both systems work just fine with modern browsers. 

If you do run into problems with using a specific feature in CMS, we suggest switching to Internet Explorer 8 to see if that resolves the problem.

Hyperion

Hyperion requires Internet Explorer 8 and will not work with any other browser. IE 8 is available on all staff and faculty desktop computers, but not in the labs.